Bug 24099 - mythtv update to update bundled FFmpeg
Summary: mythtv update to update bundled FFmpeg
Status: NEW
Alias: None
Product: Mageia
Classification: Unclassified
Component: Security (show other bugs)
Version: 6
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact: Sec team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 24104
  Show dependency treegraph
 
Reported: 2018-12-31 17:50 CET by David Walser
Modified: 2019-04-15 05:15 CEST (History)
9 users (show)

See Also:
Source RPM: mythtv
CVE:
Status comment:


Attachments
program guide with missing content. (53.31 KB, image/png)
2019-02-03 01:23 CET, Alan Richter
Details
sql script to save/get_xmltvid field prior to channel scan (660 bytes, application/octet-stream)
2019-02-03 05:57 CET, Bit Twister
Details
sql script to get/save xmltvid field prior to channel scan (1.20 KB, text/plain)
2019-02-03 06:01 CET, Bit Twister
Details
sql script to get/save xmltvid field prior to channel scan (1.20 KB, text/plain)
2019-02-04 15:50 CET, Bit Twister
Details
mythweb errors. (92.43 KB, image/png)
2019-02-05 02:00 CET, Alan Richter
Details

Description David Walser 2018-12-31 17:50:52 CET
David Geiger has updated MythTV to 0.29.1, which updates bundled FFmpeg to 3.2:
https://www.mythtv.org/wiki/Release_Notes_-_29

FFmpeg lives in external/FFmpeg in the mythtv source tree.  We really should update it again ourselves since the mythtv developers haven't done a good job of keeping it up to date.  We should at least update it to 3.2.12, and if possible, also patch for CVE-2018-15822.

Current updated Mageia 6 build is:
libmyth29-29.1-20181230.1.mga6
libmyth-devel-29.1-20181230.1.mga6
mythtv-themes-base-29.1-20181230.1.mga6
mythtv-common-29.1-20181230.1.mga6
mythtv-frontend-29.1-20181230.1.mga6
mythtv-backend-29.1-20181230.1.mga6
mythtv-setup-29.1-20181230.1.mga6
mythtv-doc-29.1-20181230.1.mga6
perl-MythTV-29.1-20181230.1.mga6
python2-mythtv-29.1-20181230.1.mga6
php-mythtv-29.1-20181230.1.mga6
mythtv-plugin-browser-29.1-20181230.1.mga6
mythtv-plugin-gallery-29.1-20181230.1.mga6
mythtv-plugin-game-29.1-20181230.1.mga6
mythtv-plugin-music-29.1-20181230.1.mga6
mythtv-plugin-netvision-29.1-20181230.1.mga6
mythtv-plugin-news-29.1-20181230.1.mga6
mythtv-plugin-weather-29.1-20181230.1.mga6
mythtv-plugin-zoneminder-29.1-20181230.1.mga6
mythtv-plugin-archive-29.1-20181230.1.mga6
David Walser 2018-12-31 17:51:03 CET

Whiteboard: (none) => MGA6TOO

David Walser 2019-01-01 06:06:42 CET

Blocks: (none) => 24104

Comment 1 David GEIGER 2019-01-10 17:39:32 CET
So now mythtv should be fixed in bug 24104
Comment 2 David Walser 2019-01-10 17:43:23 CET
This bug hasn't been fixed yet.  Please read Comment 0.  You should be able to use mplayer and avidemux as somewhat of a model for updating the bundled ffmpeg.
Comment 3 David Walser 2019-01-15 01:28:48 CET
FFmpeg upstream has agreed to publish FFmpeg 3.2.13 tomorrow with the latest fixes.
Comment 4 David Walser 2019-01-15 13:31:21 CET
David Geiger has updated to 30.0 which bundles FFmpeg 4.0.2 plus a fix for CVE-2018-15822.  It'd be nice if they could update to 4.0.3 as there are non-CVE security fixes, but that's as good as we can do for now, because apparently they do make local modifications to FFmpeg.

libmyth30-30.0-20190114.1.mga6
libmyth-devel-30.0-20190114.1.mga6
mythtv-themes-base-30.0-20190114.1.mga6
mythtv-common-30.0-20190114.1.mga6
mythtv-frontend-30.0-20190114.1.mga6
mythtv-backend-30.0-20190114.1.mga6
mythtv-setup-30.0-20190114.1.mga6
mythtv-doc-30.0-20190114.1.mga6
perl-MythTV-30.0-20190114.1.mga6
python2-mythtv-30.0-20190114.1.mga6
php-mythtv-30.0-20190114.1.mga6
mythtv-plugin-browser-30.0-20190114.1.mga6
mythtv-plugin-gallery-30.0-20190114.1.mga6
mythtv-plugin-game-30.0-20190114.1.mga6
mythtv-plugin-music-30.0-20190114.1.mga6
mythtv-plugin-netvision-30.0-20190114.1.mga6
mythtv-plugin-news-30.0-20190114.1.mga6
mythtv-plugin-weather-30.0-20190114.1.mga6
mythtv-plugin-zoneminder-30.0-20190114.1.mga6
mythtv-plugin-archive-30.0-20190114.1.mga6

from mythtv-30.0-20190114.1.mga6.src.rpm

Packages are in core and tainted.

https://www.mythtv.org/wiki/Release_Notes_-_30
David Walser 2019-01-15 13:31:35 CET

Whiteboard: MGA6TOO => (none)
Version: Cauldron => 6

Comment 5 David Walser 2019-01-15 14:16:26 CET
It's built and uploaded now.

Assignee: geiger.david68210 => qa-bugs
CC: (none) => geiger.david68210

Comment 6 Bit Twister 2019-01-15 22:47:48 CET
# systemctl status mythbackend
● mythbackend.service - MythTV backend service
   Loaded: loaded (/usr/lib/systemd/system/mythbackend.service; disabled; vendor preset: enabled)
   Active: failed (Result: exit-code) since Tue 2019-01-15 15:25:40 CST; 18min ago
  Process: 9906 ExecStart=/usr/bin/mythbackend --logpath /var/log/mythtv/ (code=exited, status=138)

HDHOMERUN card configured on video device 101A3FED, 
but MythTV was not compiled with HDHOMERUN support. 

Recompile MythTV with HDHOMERUN support or remove the card 

Works on Cauldron.

CC: (none) => bittwister2

Comment 7 Lewis Smith 2019-01-20 15:04:39 CET
@Bit Twister
Thanks for trying this. Can you please say whether your comment applies post-update? And whether the thing worked for you before the update - and was hence broken by it? If so, please add 'feedback' to keywords to get this looked at.

> Works on Cauldron.
Seems important.

CC: (none) => lewyssmith

Comment 8 Bit Twister 2019-01-20 15:34:52 CET
(In reply to Lewis Smith from comment #7)
> @Bit Twister
> Thanks for trying this. Can you please say whether your comment applies
> post-update? 

Post-update

> And whether the thing worked for you before the update - and
> was hence broken by it? 

Pretty sure it was after. I have never seen that message in all
the years of using mythtv.

> If so, please add 'feedback' to keywords to get this looked at.

Hmmm, I would have thought you would have added feedback to this bug
to get feedback from me, and I would remove it when I supplied it.

At least that is how I have seen and done it in the past.

> > Works on Cauldron.
> Seems important.

Well this would be a show stopper for me since I am running 5 dual tuner units.
Comment 9 Lewis Smith 2019-01-21 11:48:38 CET
(In reply to Bit Twister from comment #8)
> (In reply to Lewis Smith from comment #7)
> > And whether the thing worked for you before the update - and
> > was hence broken by it? 
> Pretty sure it was after. I have never seen that message in all
> the years of using mythtv.
> > If so, please add 'feedback' to keywords to get this looked at.
> Hmmm, I would have thought you would have added feedback to this bug
> to get feedback from me, and I would remove it when I supplied it.
No, 'feedback' is not to get a reply to a comment - whose author will automatically receive new comments & reply if/as necessary; but to draw the attention of the packager if an update does not look right and seems to need correction
I could not add the keyword because I did not have enough facts to justify it; but am doing it now in the light of your clarification (and thank you for same).

Keywords: (none) => feedback

Comment 10 David GEIGER 2019-01-21 15:06:10 CET
So I have to import hdhomerun libraries package who has been dropped upstream in 30.0 release:

https://github.com/MythTV/mythtv/commit/4b577277a227b4851a4bce0783137800de5588a5#diff-528a715b0b619047fe0fe70ddefc90ca

For clarify, issue is same on both mga6 and Cauldron?
Comment 11 Bit Twister 2019-01-21 19:23:45 CET
(In reply to David GEIGER from comment #10)
> So I have to import hdhomerun libraries package who has been dropped
> upstream in 30.0 release:
> 
> 
> For clarify, issue is same on both mga6 and Cauldron?

No, I had tested that a clean mga7 +29 would install and was working on the
test bed node (tb) and the production node (mtv) and was thinking about
putting mga7 on mtv when 30 was released. Upgrade ran without issue on tb mga7.

Since 30 was released for mga6, I said GREAT, booted mga6 on tb, installed all
updates, rebooted, enabled testing media, installed all myth packages. mythbackend failed to start.

First assumption was probably a python release/version problem on mga6.

After reading the above link I am now wondering if my download and attempted
install of hdhomerun_config_gui_20180817.tgz and libhdhomerun_20180817.tgz
was bypassing the problem on tb.   https://www.silicondust.com/support/linux/

Make files have hard coded version levels and config_gui fails
to compile. libhdhomerun seemed to compile on mtv but seems to fails on tb mga6.

I have automated all my install/changes with bash scripts so I have no idea
why the difference of mga6 on tb versus mtv mga6 for building libhdhomerun.
Comment 12 David GEIGER 2019-01-21 22:12:43 CET
So a new updated/fixed mythtv is now available for Cauldron with system hdhomerun support enabled, if this update looks good I'll do it for mga6 too!
Comment 13 David GEIGER 2019-01-21 22:20:43 CET
Note also that hdhomerun is now available for mga6 in Core/updates_testing repo!
Comment 14 David Walser 2019-01-21 23:21:43 CET
hdhomerun-20180817-1.mga6
libhdhomerun4-20180817-1.mga6
libhdhomerun-devel-20180817-1.mga6

from hdhomerun-20180817-1.mga6.src.rpm

Is there going to be mythtv build to match mythtv-30.0-20190121.1.mga7?
Comment 15 David GEIGER 2019-01-21 23:39:04 CET
(In reply to David Walser from comment #14)
> hdhomerun-20180817-1.mga6
> libhdhomerun4-20180817-1.mga6
> libhdhomerun-devel-20180817-1.mga6
> 
> from hdhomerun-20180817-1.mga6.src.rpm
> 
> Is there going to be mythtv build to match mythtv-30.0-20190121.1.mga7?

Yes of course!
Comment 16 Alan Richter 2019-01-22 03:35:44 CET
I was about to file a bug report that hdhomerun tuners weren't enabled in mythtv 30.0, sometimes it pays to search.  

Mythtv 30.0 requires hdhomerun to be installed for those tuners to be recognized.

CC: (none) => arichter

Comment 17 Bit Twister 2019-01-22 04:20:19 CET
(In reply to David GEIGER from comment #12)
> So a new updated/fixed mythtv is now available for Cauldron with system
> hdhomerun support enabled, if this update looks good I'll do it for mga6 too!

Ok, just finished another clean mga7 install and mythtv back/frontend works.
Testing was just that I could open a previous recording.

Thank you very, very much for the hdhomerun packages. hdhomerun_config and
hdhomerun_config_gui go/no go testing seems to show both working.
I did not do a full regression test.

Eagerly awaiting mga6 recompile with homerun support.

Thank you for all your Mageia support and work.
Comment 18 David GEIGER 2019-01-22 07:19:03 CET
So a new updated/fixed mythtv is now available for mga6 with system
hdhomerun support enabled too!
Comment 19 Bit Twister 2019-01-22 11:39:41 CET
(In reply to David GEIGER from comment #18)
> So a new updated/fixed mythtv is now available for mga6 with system
> hdhomerun support enabled too!

Hooray for our side. Update done with nonfree and tainted testing update enabled.
Manual selection of myth packages.

Frontend/backend works on backend node, and frontend can
connect/run from non-backend node, after frontend install.

FYI: mythbackend has to be running so upgrade can modify database.
frontend did not want to connect to backend. Did a reboot and everything
worked. Did have to reset frontend theme.
Comment 20 David Walser 2019-01-22 12:14:52 CET
In core/updates_testing:
hdhomerun-20180817-1.mga6
libhdhomerun4-20180817-1.mga6
libhdhomerun-devel-20180817-1.mga6

from hdhomerun-20180817-1.mga6.src.rpm


In {core,tainted}/updates_testing:
libmyth30-30.0-20190121.1.mga6
libmyth-devel-30.0-20190121.1.mga6
mythtv-themes-base-30.0-20190121.1.mga6
mythtv-common-30.0-20190121.1.mga6
mythtv-frontend-30.0-20190121.1.mga6
mythtv-backend-30.0-20190121.1.mga6
mythtv-setup-30.0-20190121.1.mga6
mythtv-doc-30.0-20190121.1.mga6
perl-MythTV-30.0-20190121.1.mga6
python2-mythtv-30.0-20190121.1.mga6
php-mythtv-30.0-20190121.1.mga6
mythtv-plugin-browser-30.0-20190121.1.mga6
mythtv-plugin-gallery-30.0-20190121.1.mga6
mythtv-plugin-game-30.0-20190121.1.mga6
mythtv-plugin-music-30.0-20190121.1.mga6
mythtv-plugin-netvision-30.0-20190121.1.mga6
mythtv-plugin-news-30.0-20190121.1.mga6
mythtv-plugin-weather-30.0-20190121.1.mga6
mythtv-plugin-zoneminder-30.0-20190121.1.mga6
mythtv-plugin-archive-30.0-20190121.1.mga6

from mythtv-30.0-20190121.1.mga6.src.rpm

Keywords: feedback => (none)

Comment 21 Alan Richter 2019-01-22 16:17:39 CET
Please be cautious with rolling this out for MGA6, it will break mythtv-mythweb which is still at 28.0.  Mythweb is at 28.0 in cauldron as well and some of us use and depend on mythweb.
Comment 22 David GEIGER 2019-01-22 17:11:27 CET
(In reply to Alan Richter from comment #21)
> Please be cautious with rolling this out for MGA6, it will break
> mythtv-mythweb which is still at 28.0.  Mythweb is at 28.0 in cauldron as
> well and some of us use and depend on mythweb.

Goog catch!

So updated both Cauldron and mga6 to latest mythtv-mythweb 30.0 release!
Comment 23 Bit Twister 2019-01-22 17:30:30 CET
Yeah, and what is worse, I happened to look at the channel guide and half
the channels have no text.  :(

Just now found out some of the keyboard keys not working. One example,
space bar does not bookmark location.
Comment 24 David Walser 2019-01-22 19:06:23 CET
In core/updates_testing:
hdhomerun-20180817-1.mga6
libhdhomerun4-20180817-1.mga6
libhdhomerun-devel-20180817-1.mga6
mythtv-mythweb-30.0-1.mga6

from SRPMS:
hdhomerun-20180817-1.mga6.src.rpm
mythtv-mythweb-30.0-1.mga6.src.rpm


In {core,tainted}/updates_testing:
libmyth30-30.0-20190121.1.mga6
libmyth-devel-30.0-20190121.1.mga6
mythtv-themes-base-30.0-20190121.1.mga6
mythtv-common-30.0-20190121.1.mga6
mythtv-frontend-30.0-20190121.1.mga6
mythtv-backend-30.0-20190121.1.mga6
mythtv-setup-30.0-20190121.1.mga6
mythtv-doc-30.0-20190121.1.mga6
perl-MythTV-30.0-20190121.1.mga6
python2-mythtv-30.0-20190121.1.mga6
php-mythtv-30.0-20190121.1.mga6
mythtv-plugin-browser-30.0-20190121.1.mga6
mythtv-plugin-gallery-30.0-20190121.1.mga6
mythtv-plugin-game-30.0-20190121.1.mga6
mythtv-plugin-music-30.0-20190121.1.mga6
mythtv-plugin-netvision-30.0-20190121.1.mga6
mythtv-plugin-news-30.0-20190121.1.mga6
mythtv-plugin-weather-30.0-20190121.1.mga6
mythtv-plugin-zoneminder-30.0-20190121.1.mga6
mythtv-plugin-archive-30.0-20190121.1.mga6

from mythtv-30.0-20190121.1.mga6.src.rpm
Comment 25 Bit Twister 2019-01-22 23:43:48 CET
(In reply to Bit Twister from comment #23)
> Yeah, and what is worse, I happened to look at the channel guide and half
> the channels have no text.  :(

Changing Paint Engine from QT to Auto solved the missing guide text problem.

Enter or space still not setting bookmark.
Comment 26 Bit Twister 2019-01-24 14:06:52 CET
If there is a vote, then I would vote to not release this to Official.

After upgrade, keyboard mapping is not the same as MythTV Version : 0.28.1.
Enter or space still not setting/clearing bookmark.
OK key on remote no longer triggering Select.

Did a clean install in mga7 and was not able to get xmltv id populated
from my Schedules Direct feed. I assume that is also broke for mga6 release.
Results in nothing showing in the guide.

space bar now pauses a video being watched instead of setting bookmark.
Enter key is dead during video viewing.
Comment 27 Bit Twister 2019-01-26 21:04:04 CET
(In reply to Bit Twister from comment #26)
> If there is a vote, then I would vote to not release this to Official.

See bug 24243 - mythtv-setup: unable to automagically set xmltvid field
See bug 24242 - mythtv-setup can not set second tuner
Comment 28 Lewis Smith 2019-01-27 12:02:54 CET
I am unsure what to do with this. From comments 25-27, this is another update showing new usability problems. Do we push it knowing those? Make this bug dependant on the two in the previous comment? Need feedback again.

Keywords: (none) => feedback

Comment 29 Alan Richter 2019-01-27 18:39:09 CET
mythweb is also throwing many php errors since updating to mythweb-30.0-1.

Warning at /var/www/mythweb/includes/utils.php, line 334:
!!NoTrans: Use of undefined constant tmpl - assumed 'tmpl' (this will throw an Error in a future version of PHP)!!

Warning at /var/www/mythweb/includes/utils.php, line 335:
!!NoTrans: Use of undefined constant tmpl - assumed 'tmpl' (this will throw an Error in a future version of PHP)!!
512 [E_ASSERT_ERROR] => 4096 [FATAL] => 256 [PHP_MIN_VERSION] => 5.3 [WARNING] => 1024 [error_email] => [gb] => 1073741824 [hostname] => duck [http_host] => localhost [kb] => 1024 [mb] => 1048576 [module] => [modules_path] => /var/www/mythweb/modules [root] => /mythweb/ [root_auth_url] => http://localhost/mythweb/ [root_url] => http://localhost/mythweb/ [stream_url] => http://localhost:80//mythweb/ [tb] => 1099511627776 ) -->
Comment 30 Bit Twister 2019-01-28 05:13:34 CET
(In reply to Lewis Smith from comment #28)
> I am unsure what to do with this. From comments 25-27, this is another
> update showing new usability problems.

Not sure about which update. bug or package update, you are talking about.

See bug 24244 - mythfrontend space/enter not setting bookmark when
watching recording, for another usability problem.

> ? Do we push it knowing those? 

I would not if it were me. Bug 24243 required me to select each of 44
channels and enter a unique 5 or 6 digit number into the xmltvid field.

> Make this bug dependant on the two in the previous comment?

I would vote yes because bug 24242 keeps me from from entering my
other 5 tuners to database. I see a few days a week where 6 tuners are
in use at one time.

That 24244 bug keeps me from setting a bookmark which is required every
time lircd crashes. See bug 24202 - lircd: error processing command: CODE causing core dumps 

> Need feedback again.
Comment 31 Bit Twister 2019-01-29 12:28:12 CET
(In reply to Lewis Smith from comment #28)
> I am unsure what to do with this. From comments 25-27, this is another
> update showing new usability problems. Do we push it knowing those? Make
> this bug dependant on the two in the previous comment? Need feedback again.

Ok, xmltvid bug is still open at mythtv.org. Uses doing upgrades will
not notice the problem because database xmltvid is already populated.
Users doing a clean install with backup database import will also not see the problem. Clean install only users will have to enter xmltvid manually or
as in my case, create a sql file to update the field.


Dual SiliconDust tuner problem would not be noticed by upgrade or clean
install with backup database import. I was able to get both tuners working
in clean install only mode.


mythfrontend space/enter not setting bookmark is closed upstream by
user using Edit Keysbindings to set desired keys. I have verified
that I can get it to work on clean install. Have not found solution
on upgraded 28 to 30.

Possibility exists that just changing key_ok to Enter instead of Space
in /etc/lirc/lircrc would have solved my tv remote problem.
Comment 32 Lewis Smith 2019-02-02 21:52:46 CET
 @Bit Twister
Thank you for all the work you have put into this, with relevant expertise.
From your previous comment, it looks as if we can let this out - except for Alan's comment 29; although many functioning packages do throw a lot of console errors.

 @Alan: did the thing work in spite of these? You did not say.

The problem of changed behaviour - here particularly spacebar - between releases is a pain not just with this package. The advisory can include warning of:
- xmltvid bug is still open at mythtv.org
- mythfrontend space/enter not setting bookmark is closed upstream by
user using Edit Keysbindings to set desired keys.
Should we mention the 'changing paint setting' point you found also? c23

Just to ensure smooth update for both core & tainted repos, I will try just doing those (install-update) unless someone confirms that they have done likewise.

 @David
Packages are in c24, but we need an advisory please.

Keywords: feedback => (none)

Comment 33 Bit Twister 2019-02-02 22:32:08 CET
(In reply to Lewis Smith from comment #32)
> 
> The problem of changed behaviour - here particularly spacebar - between
> releases is a pain not just with this package. The advisory can include
> warning of:
> - xmltvid bug is still open at mythtv.org
> - mythfrontend space/enter not setting bookmark is closed upstream by
> user using Edit Keysbindings to set desired keys.
> Should we mention the 'changing paint setting' point you found also? c23

It might be helpful in that my myth screens straighten up after I set it.
I have no idea if I has changed it 5+ years ago.

I have found the space key problem workaround by setting Space in
 TV Playback TOGGLEBOOKMARK

I got tired of the lircd cores and did a clean mga7 with database import this
morning to get latest lircd. It has been solid for the last 8 hours.
Comment 34 David Walser 2019-02-03 00:28:53 CET
The mythtv package has been updated to version 30, which has many enhancements
and bug fixes, including an update of the bundled FFmpeg to version 4.0.2.

References:
https://www.mythtv.org/wiki/Release_Notes_-_29
https://www.mythtv.org/wiki/Release_Notes_-_30
Comment 35 Alan Richter 2019-02-03 01:15:22 CET
I tried 30.0-20190202 but there are still issues with mythfrontend as well as mythweb.  With regards to mythfrontend, the guide does not work, the cells do not populate, see attachment. Also the setting a book mark while watching a recorded show does not work (hitting the space bar), the aspect change doesn't work (w button)

mythweb is completely broken, lots of "ASSERT_ERROR"s and a fatal error:

Fatal error: Uncaught Error: Call to a member function query_col() on null in /var/www/mythweb/modules/backend_log/init.php:15 Stack trace: #0 /var/www/mythweb/classes/Modules.php(30): require_once() #1 /var/www/mythweb/classes/Modules.php(50): Modules::load() #2 /var/www/mythweb/modules/_shared/tmpl/default/header.php(144): Modules::getModule('tv') #3 /var/www/mythweb/modules/_shared/tmpl/_errors/error.php(19): include('/var/www/mythwe...') #4 /var/www/mythweb/includes/errordisplay.php(198): require_once('/var/www/mythwe...') #5 /var/www/mythweb/includes/database.php(58): custom_error('UPnP Database D...') #6 /var/www/mythweb/includes/init.php(43): require_once('/var/www/mythwe...') #7 /var/www/mythweb/mythweb.php(20): require_once('/var/www/mythwe...') #8 {main} thrown in /var/www/mythweb/modules/backend_log/init.php on line 15

I do not believe mythtv 30 is ready to replace 30, there are too many issues.
Comment 36 Alan Richter 2019-02-03 01:23:36 CET
Created attachment 10722 [details]
program guide with missing content.
Comment 37 Bit Twister 2019-02-03 05:03:06 CET
(In reply to Alan Richter from comment #36)

> Also the setting a book mark while watching a recorded show does not work

Yep, mythfrontend space/enter not setting bookmark when watching recording
https://code.mythtv.org/trac/ticket/13387

Workaround, in frontend Setup, Edit Keys, Down arrow to TV Playback,
Right arrow to right side of screen, Down arrow to TOGGLEBOOKMARK
Right arrow to select, Right arrow Again to get dark green,
and I think it is Space bar that gets you a pop up to Add key, hit Space
Ignore already in use message, tab key to OK, and be sure to Save and Exit.

> Created attachment 10722 [details]
> program guide with missing content.

Yep, pretty sure that is because of 
mythtv-setup: unable to automagically set xmltvid field
https://code.mythtv.org/trac/ticket/13388

Guessing you did a clean mythtv install instead of doing an upgrade.
Or you ran mythtv-setup and deleted the channels and did a channel scan.  :(
Comment 38 Bit Twister 2019-02-03 05:48:57 CET
Frap, forgot about a user who might delete the channels because a tv station
has changed their channel frequency or has added new channels and told users
to scan for the changes.

Attaching script to save current xmltvid values.
Comment 39 Bit Twister 2019-02-03 05:57:28 CET
Created attachment 10723 [details]
sql script to save/get_xmltvid field prior to channel scan
Comment 40 Bit Twister 2019-02-03 06:01:45 CET
Created attachment 10724 [details]
sql script to get/save xmltvid field prior to channel scan

Attachment 10723 is obsolete: 0 => 1

Comment 41 Lewis Smith 2019-02-04 10:20:07 CET
The more I read here, the less I want to pass this update. It seems to introduce more problems than it solves (if it solves any: security fixes apart, which are often more academic than real). The number of introduced usability glitches reported by both testers, all the workarounds - even scripts - proposed to get round them, seem to me excessive. They would have to be communicated with the update. Allan's comment 35 is quite damning.
"Let sleeping dogs lie" (don't do the update) could be the better choice for our users. Or give it back to David G? All of you have worked so hard on it.

Giving first thought to existing Mageia6 users applying the update, my inclination is to defer to Alan & BitTwister. Related bugs (c30) 24243, 24202, ?24244 are still open. So please give your vote, both of you.

I am CCing QA team leaders to get *their* view.

CC: (none) => andrewsfarm, davidwhodgins, wilcal.int

Comment 42 Bit Twister 2019-02-04 15:50:18 CET
Created attachment 10728 [details]
sql script to get/save xmltvid field prior to channel scan

Had to fix comment line.

Attachment 10724 is obsolete: 0 => 1

Comment 43 Bit Twister 2019-02-04 16:17:14 CET
(In reply to Lewis Smith from comment #41)
> The more I read here, the less I want to pass this update. 

> Giving first thought to existing Mageia6 users applying the update, my
> inclination is to defer to Alan & BitTwister. Related bugs (c30) 24243,
> 24202, ?24244 are still open. So please give your vote, both of you.

 bug 24202 - lircd: error processing command: CODE causing core dumps
is a separate bug and is happening on current myth 28 release.

Because of it, I have flipped all three nodes to mga7 as "Production".
No lircd cores since.

> I am CCing QA team leaders to get *their* view.

 Comment 35 mythweb is completely broken is a show stopper in my opinion.

bug 13388 mythtv-setup: unable to automagically set xmltvid field will most
likely bite users who did not run my sql script to get copy of current
field contents prior to any channel scan.
Comment 44 Bit Twister 2019-02-04 18:09:26 CET
(In reply to Bit Twister from comment #43)

Sorry wrong bug number. Should have been

  bug 24243  mythtv-setup: unable to automagically set xmltvid field will most
  likely bite users who did not run my sql script to get copy of current
  field contents prior to any channel scan.
Comment 45 Alan Richter 2019-02-05 01:59:56 CET
Just as an aside, switching the paint engine to GL2 restored the words in the program guide.  

mythweb is still just a plethora of errors but it might be caused php being too new for the mythweb code.  Errors attached.
Comment 46 Alan Richter 2019-02-05 02:00:38 CET
Created attachment 10731 [details]
mythweb errors.
Comment 47 Mauricio Andrés Bustamante Viveros 2019-02-05 02:08:37 CET
Interesting that requires PHP > 5.3.... The test were using which PHP version????

CC: (none) => neoser10

Comment 48 Alan Richter 2019-02-05 05:02:03 CET
The standard PHP for Cauldron is 7.3.1-2.  

php-sysvsem-7.3.1-2.mga7
php-mysqlnd-7.3.1-2.mga7
php-dom-7.3.1-2.mga7
php-filter-7.3.1-2.mga7
php-ftp-7.3.1-2.mga7
php-xml-7.3.1-2.mga7
php-hash-7.3.1-2.mga7
php-json-7.3.1-2.mga7

Which also doesn't make much sense but then again I'm not a php PhD.
Comment 49 Lewis Smith 2019-02-08 20:10:09 CET
Afterthought. re M7.
Whatever is the outcome of this update (or not), we need to bear in mind that the resulting packages should update OK to Mageia 7.
Comment 50 Bit Twister 2019-02-08 20:23:04 CET
(In reply to Lewis Smith from comment #49)
> Afterthought. re M7.
> Whatever is the outcome of this update (or not), we need to bear in mind
> that the resulting packages should update OK to Mageia 7.

Oh, they update ok, but those problems still exist in 7 except for the
lircd bug. I converted all three of my nodes into mga7 "Production",
worked out all the channel problems. Fixed space key to bookmark during
playback. Going to open a few more bugs at mythtv.org.
Comment 51 Alan Richter 2019-02-11 23:36:37 CET
There appears to be a resolution to the mythweb problem:

I edited the file /etc/httpd/conf/webapps.d/mythweb.conf and uncommented the following lines:

 #
        # This is unneeded due to the upnp setup via the backend
        #
            setenv db_server        "localhost"
            setenv db_name          "mythconverg"
            setenv db_login         "mythtv"
            setenv db_password      "mythtv"

        #

Apparently these items ARE necessary for mythweb to work.  

I am not seeing any further mythweb except when selecting a show from "Listings", I get a warning at the top of the page that reads:

Warning at /usr/share/mythtv/bindings/php/MythBackend.php, line 194:
!!NoTrans: count(): Parameter must be an array or an object that implements Countable!!

But this is a huge improvement over the way that mythweb was (wasn't?) working.
Comment 52 Dave Hodgins 2019-03-07 21:58:20 CET
Do you have upnp turned off? I have it turned off in my router due to the
lack of proper security in the design of upnp.

While I strongly disagree with an application expecting a very weak security
set up, if it's not a regression, it's not a reason to block the update.
Comment 53 Bit Twister 2019-03-07 22:08:47 CET
(In reply to Dave Hodgins from comment #52)
> Do you have upnp turned off? I have it turned off in my router due to the
> lack of proper security in the design of upnp.
> 
> While I strongly disagree with an application expecting a very weak security
> set up, if it's not a regression, it's not a reason to block the update.

I disable plug-n-play on all devices that has a dis/enable setting.
Also disable in any application when I know about it including mythtv backend.
Comment 54 Alan Richter 2019-03-08 05:01:36 CET
Admittedly stopping a release because a pathetically weak security option is skipped is not a very good reason for not moving forward but then again this is mythtv, not ssh or ssl.  On the other hand, most folks, like me, just want to record NOVA and whatever and don't want to deal with two factor authentication just to watch Cow and Chicken.  

On a more significant level, I DO want to be able to watch Cow and Chicken as well as NOVA on a single hdhomerun connect. MyththTV 30 still seems to have a problem with more than one tuner on a hdhomerun device.  

This is the issue that is holding me back from moving the rest of my fleet to cauldron. It's not a very good reason but hey . . . Cow and Chicken!
Comment 55 Bit Twister 2019-03-08 05:34:18 CET
(In reply to Alan Richter from comment #54)
>.  
> 
> On a more significant level, I DO want to be able to watch Cow and Chicken
> as well as NOVA on a single hdhomerun connect. MyththTV 30 still seems to
> have a problem with more than one tuner on a hdhomerun device.  

Please don't tell my system about that. I am running 5 dual homerun tuners.
Two are the old white ones with IR receivers, and 3 are the newer homerun connect
all of which are the over the air receivers.
I did have to enter each device twice and recording 5 channels on three homerun
connect devices as I type this.
Comment 56 Len Lawrence 2019-04-12 10:22:58 CEST
Having a go at this on mga6, x86_64.
First problem was installing before the update.
Could not locate version 30 so tried 29.  Did not seem to exist.
Checked the rpm index om my CZ mirror for release and tainted and found lib64myth0.28 so decided to go for that.
Some 150 packages were pulled in.  These are those containing myth in their names:
mythtv-backend-0.28.1-20170528.6.mga6.tainted
mythes-en-3.0-15.mga6
php-mythtv-0.28.1-20170528.6.mga6.tainted
mythtv-plugin-game-0.28.1-20170528.6.mga6.tainted
mythtv-plugin-news-0.28.1-20170528.6.mga6.tainted
mythtv-plugin-zoneminder-0.28.1-20170528.6.mga6.tainted
lib64myth0.28-0.28.1-20170528.6.mga6.tainted
mythtv-plugin-netvision-0.28.1-20170528.6.mga6.tainted
mythes-1.2.4-4.mga6
mythtv-themes-base-0.28.1-20170528.6.mga6.tainted
mythtv-setup-0.28.1-20170528.6.mga6.tainted
mythtv-plugin-archive-0.28.1-20170528.6.mga6.tainted
lib64myth-devel-0.28.1-20170528.6.mga6.tainted
mythtv-common-0.28.1-20170528.6.mga6.tainted
mythtv-doc-0.28.1-20170528.6.mga6.tainted
mythtv-plugin-gallery-0.28.1-20170528.6.mga6.tainted
mythtv-frontend-0.28.1-20170528.6.mga6.tainted
mythtv-plugin-weather-0.28.1-20170528.6.mga6.tainted
mythtv-plugin-browser-0.28.1-20170528.6.mga6.tainted
mythtv-plugin-music-0.28.1-20170528.6.mga6.tainted

Tried to start mythtv from the system menus by running setup.  Worked through the dialogue, two pages, and pressed Next and was returned to the initial page; cancelled to exit.  There was nothing about tuning or finding channels (free to air here).  Checked system services and made sure mythtvbackend was running.
Invoking mythtv from the menus brings up the setup page again, so it basically runs in a loop.

TV works perfectly for kaffeine and vlc.

Trying the update next, but don't have much hope of getting anywhere.

CC: (none) => tarazed25

Comment 57 Len Lawrence 2019-04-12 10:27:59 CEST
The update did not work.  The version 30 packages were not even offered.
Comment 58 Len Lawrence 2019-04-12 10:34:38 CEST
Tried installing individual packages and saw this:

A requested package cannot be installed:
lib64myth30-30.0-20190121.1.mga6.tainted.x86_64 (due to unsatisfied libhdhomerun.so.4()(64bit))

Homerun does not mean anything to me.
Comment 59 Bit Twister 2019-04-12 10:57:12 CEST
(In reply to Len Lawrence from comment #56)
> Having a go at this on mga6, x86_64.
> First problem was installing before the update.
> Could not locate version 30 so tried 29.  Did not seem to exist.

30 is over in test, see bug 24243


> Tried to start mythtv from the system menus by running setup.  Worked
> through the dialogue, two pages, and pressed Next and was returned to the
> initial page; cancelled to exit. 

You should not have cancelled.

> There was nothing about tuning or finding
> channels (free to air here).  

Using free over the air channels via SiliconDust network tuners myself.
Using Schedulesdirect for channel guide info.

Channel Editor is where you can do actual scan.

Not sure on your setup, but you may have to go though Video Sources
and Input connections setup. Channel Editor looks in one of those
to get device(s) to do scan.

Having flipped over to using 31.0 in Cauldron I can no longer
remember 28. fields/setting navigation. 

> Checked system services and made sure
> mythtvbackend was running.

backend should be stopped during day one setup.

> Invoking mythtv from the menus brings up the setup page again, so it
> basically runs in a loop.

I have seen that problem because ~/.mythtv/config.xml not matching
 /var/lib/mythtv/config.xml

Or in the case of 31, setup not finding/using the two above files. :(


> TV works perfectly for kaffeine and vlc.
> 
> Trying the update next, but don't have much hope of getting anywhere.

Yep, updates should always be done, prior to running the app.
Comment 60 Bit Twister 2019-04-12 11:00:36 CEST
(In reply to Len Lawrence from comment #58)
> Tried installing individual packages and saw this:
> 
> A requested package cannot be installed:
> lib64myth30-30.0-20190121.1.mga6.tainted.x86_64 (due to unsatisfied
> libhdhomerun.so.4()(64bit))
> 
> Homerun does not mean anything to me.

That package is the module for SiliconDust homerun network tuner driver
regardless if you have them or not.
Comment 61 Len Lawrence 2019-04-12 11:40:02 CEST
Not sure what to do about that.  Tried to install it separately.
# urpmi lib64hdhomerun
No package named lib64hdhomerun

That is with core, nonfree and tainted repositories enabled and
# urpmi.update -a

So what is the package name?
Comment 62 Len Lawrence 2019-04-12 12:04:13 CEST
Websearch for information and found this quote from March 31:
"My distro (Mageia) doesn't have any packages for hdhomerun"
Comment 63 Len Lawrence 2019-04-12 12:10:17 CEST
A reply in the same forum pointed out:
> You should be able to get the source for libhdhomerun at
> https://www.silicondust.com/support/downloads/ .

Well, this is QA not dev.
Comment 64 Len Lawrence 2019-04-12 12:17:25 CEST
So the question is - why is mythtv being packaged with mandatory hdhomerun support when hdhomerun might be irrelevant, or perhaps, why is it being built to require hdhomerun support when Mageia does not provide any hdhomerun software?
Comment 65 David GEIGER 2019-04-12 12:21:49 CEST
(In reply to Len Lawrence from comment #64)
> So the question is - why is mythtv being packaged with mandatory hdhomerun
> support when hdhomerun might be irrelevant, or perhaps, why is it being
> built to require hdhomerun support when Mageia does not provide any
> hdhomerun software?

What?? Are you sure??

hdhomerun is available on mga6/Core/Updates_testing repo and on Cauldron:

https://madb.mageia.org/package/list/t_search/hdhomerun/application/0/arch/x86_64
Comment 66 Thomas Backlund 2019-04-12 12:29:15 CEST
You need to have both "Core Updates Testing" and "Tainted Updates Testing" enabled and updated... (and of course their matching Release and Updates) to test a tainted package

the mythtv packages are there.

And the needed homerun lib is in Core Updates Testing.

A quick test on a system with no mythtv shows:


#  LC_ALL=C urpmi --test --search-media "Tainted Updates Testing" mythtv-frontend
To satisfy dependencies, the following packages are going to be installed:
(test only, installation will not be actually done)
  Package                        Version      Release       Arch
(medium "Core Release")
  alsa-plugins-pulse-config      1.1.4        1.mga6        noarch
  ccp                            0.4.1        12.mga6       noarch
  fribidi                        0.19.7       3.mga6        x86_64
  glxinfo                        8.3.0        1.mga6        x86_64
  gstreamer1.0-tools             1.10.4       1.mga6        x86_64
  jackit                         1.9.10       6.mga6        x86_64
  lib64a52dec0                   0.7.4        24.mga6       x86_64
  lib64aa1                       1.4.0        0.rc5.31.mga6 x86_64
  lib64alsa-plugins-pulseaudio   1.1.4        1.mga6        x86_64
  lib64ass9                      0.13.6       1.mga6        x86_64
  lib64asyncns0                  0.8          9.mga6        x86_64
  lib64avc1394_0                 0.5.4        6.mga6        x86_64
  lib64bluray2                   1.0.0        1.mga6        x86_64
  lib64bs2b0                     3.1.0        9.mga6        x86_64
  lib64cdio-paranoia2            10.2.0.93.1  8.mga6        x86_64
  lib64celt0_2                   0.11.3       6.mga6        x86_64
  lib64config9                   1.5          1.mga6        x86_64
  lib64crystalhd3                0            0.20110315.1> x86_64
  lib64dc1394_22                 2.2.5        2.mga6        x86_64
  lib64dv4                       1.0.0        14.mga6       x86_64
  lib64dvdnav4                   5.0.3        2.mga6        x86_64
  lib64dvdread4                  5.0.3        1.mga6        x86_64
  lib64enca0                     1.19         1.mga6        x86_64
  lib64evdev2                    1.5.7        1.mga6        x86_64
  lib64ffado2                    2.3.0        1.mga6        x86_64
  lib64freeglut3                 3.0.0        1.mga6        x86_64
  lib64fribidi0                  0.19.7       3.mga6        x86_64
  lib64ggi2                      2.2.2        24.mga6       x86_64
  lib64glibmm2.4_1               2.50.1       1.mga6        x86_64
  lib64gsm1                      1.0.17       1.mga6        x86_64
  lib64gstreamer-plugins-base1.> 1.10.4       1.mga6        x86_64
  lib64gstreamer1.0_0            1.10.4       1.mga6        x86_64
  lib64gudev1.0_0                230          4.mga6        x86_64
  lib64hyphen0                   2.8.8        6.mga6        x86_64
  lib64iec61883_0                1.2.0        13.mga6       x86_64
  lib64input10                   1.7.3        1.mga6        x86_64
  lib64jack0                     1.9.10       6.mga6        x86_64
  lib64lqr0                      0.4.2        5.mga6        x86_64
  lib64mjpegtools2.1_0           2.1.0        2.mga6        x86_64
  lib64mng2                      2.0.3        1.mga6        x86_64
  lib64modplug1                  0.8.9.0      1.mga6        x86_64
  lib64mpeg2dec0                 0.5.1        12.mga6       x86_64
  lib64mtdev1                    1.1.5        5.mga6        x86_64
  lib64nas2                      1.9.3        8.mga6        x86_64
  lib64nut0                      0.0.675      8.mga6        x86_64
  lib64ogg0                      1.3.2        4.mga6        x86_64
  lib64opencl1                   2.2.11       1.mga6        x86_64
  lib64opencv_core2.4            2.4.12.3     5.mga6        x86_64
  lib64opencv_imgproc2.4         2.4.12.3     5.mga6        x86_64
  lib64openjpeg5                 1.5.2        8.mga6        x86_64
  lib64opus0                     1.1.5        1.mga6        x86_64
  lib64orc0.4_0                  0.4.26       1.mga6        x86_64
  lib64raw1394_11                2.1.2        1.mga6        x86_64
  lib64samplerate0               0.1.9        1.mga6        x86_64
  lib64schroedinger1.0_0         1.0.11       8.mga6        x86_64
  lib64sigc++2.0_0               2.10.0       1.mga6        x86_64
  lib64speex1                    1.2          0.rc2.2.mga6  x86_64
  lib64theora0                   1.1.1        11.mga6       x86_64
  lib64theoradec1                1.1.1        11.mga6       x86_64
  lib64theoraenc1                1.1.1        11.mga6       x86_64
  lib64ts1.0_0                   1.1          3.mga6        x86_64
  lib64twolame0                  0.3.13       7.mga6        x86_64
  lib64unwind8                   1.2          1.mga6        x86_64
  lib64v4l-wrappers              1.12.5       1.mga6        x86_64
  lib64v4l0                      1.12.5       1.mga6        x86_64
  lib64va1                       1.7.3        3.mga6        x86_64
  lib64vdpau1                    1.1.1        2.mga6        x86_64
  lib64webp6                     0.5.2        2.mga6        x86_64
  lib64xavs1                     0.1.55       8.mga6        x86_64
  lib64xaw7                      1.0.13       1.mga6        x86_64
  lib64xcb-icccm4                0.4.1        4.mga6        x86_64
  lib64xcb-util-image0           0.4.0        2.mga6        x86_64
  lib64xcb-util-keysyms1         0.4.0        3.mga6        x86_64
  lib64xcb-util-renderutil0      0.3.9        4.mga6        x86_64
  lib64xcb-util1                 0.4.0        2.mga6        x86_64
  lib64xml++2.6_2                2.40.1       2.mga6        x86_64
  lib64xmu6                      1.1.2        5.mga6        x86_64
  lib64xpm4                      3.5.12       1.mga6        x86_64
  lib64xscrnsaver1               1.2.2        7.mga6        x86_64
  lib64xv1                       1.0.11       1.mga6        x86_64
  lib64xvmc1                     1.0.10       1.mga6        x86_64
  lib64xxf86dga1                 1.1.4        6.mga6        x86_64
  libcrystalhd-common            0            0.20110315.1> x86_64
  libggi                         2.2.2        24.mga6       x86_64
  libinput-udev                  1.7.3        1.mga6        x86_64
  tslib-common                   1.1          3.mga6        noarch
  v4l-utils                      1.12.5       1.mga6        x86_64
  x11-data-bitmaps               1.1.1        9.mga6        noarch
(medium "Core Updates")
  lib64SDL1.2_0                  1.2.15       19.1.mga6     x86_64
  lib64caca0                     0.99         0.beta18.13.> x86_64
  lib64cdio16                    0.94         1.1.mga6      x86_64
  lib64exiv2_26                  0.26         2.2.mga6      x86_64
  lib64flac8                     1.3.2        1.1.mga6      x86_64
  lib64gif7                      5.1.6        1.mga6        x86_64
  lib64mad0                      0.15.1b      22.3.mga6     x86_64
  lib64mesaglu1                  9.0.0        6.1.mga6      x86_64
  lib64mp3lame0                  3.100        1.2.mga6      x86_64
  lib64mpg123_0                  1.25.10      1.mga6        x86_64
  lib64pulseaudio0               10.0         1.1.mga6      x86_64
  lib64pulsecommon10.0           10.0         1.1.mga6      x86_64
  lib64qt5-database-plugin-mysql 5.9.4        1.2.mga6      x86_64
  lib64qt5core5                  5.9.4        1.2.mga6      x86_64
  lib64qt5dbus5                  5.9.4        1.2.mga6      x86_64
  lib64qt5eglfsdeviceintegratio> 5.9.4        1.2.mga6      x86_64
  lib64qt5eglfskmssupport5       5.9.4        1.2.mga6      x86_64
  lib64qt5gui5                   5.9.4        1.2.mga6      x86_64
  lib64qt5network5               5.9.4        1.2.mga6      x86_64
  lib64qt5opengl5                5.9.4        1.2.mga6      x86_64
  lib64qt5positioning5           5.9.4        1.mga6        x86_64
  lib64qt5printsupport5          5.9.4        1.2.mga6      x86_64
  lib64qt5qml5                   5.9.4        1.mga6        x86_64
  lib64qt5quick5                 5.9.4        1.mga6        x86_64
  lib64qt5script5                5.9.4        1.mga6        x86_64
  lib64qt5sensors5               5.9.4        1.mga6        x86_64
  lib64qt5sql5                   5.9.4        1.2.mga6      x86_64
  lib64qt5webchannel5            5.9.4        1.mga6        x86_64
  lib64qt5webkit5                5.212.0      1.alpha2.7.1> x86_64
  lib64qt5webkitwidgets5         5.212.0      1.alpha2.7.1> x86_64
  lib64qt5widgets5               5.9.4        1.2.mga6      x86_64
  lib64qt5xcbqpa5                5.9.4        1.2.mga6      x86_64
  lib64qt5xml5                   5.9.4        1.2.mga6      x86_64
  lib64sdl2.0_0                  2.0.9        1.mga6        x86_64
  lib64sndfile1                  1.0.28       3.3.mga6      x86_64
  lib64taglib1                   1.11.1       1.3.mga6      x86_64
  lib64vorbis0                   1.3.6        1.mga6        x86_64
  lib64vorbisenc2                1.3.6        1.mga6        x86_64
  lib64vorbisfile3               1.3.6        1.mga6        x86_64
  lib64vpx3                      1.5.0        3.1.mga6      x86_64
  lib64wacom2                    0.24         1.1.mga6      x86_64
  libwacom                       0.24         1.1.mga6      x86_64
  perl-DBD-mysql                 4.46.0       1.mga6        x86_64
  pulseaudio-client-config       10.0         1.1.mga6      x86_64
  qtbase5-common                 5.9.4        1.2.mga6      x86_64
(medium "Core Updates Testing")
  lib64gii1                      1.0.2        21.1.mga6     x86_64
  lib64hdhomerun4                20180817     1.mga6        x86_64
  lib64lirc0                     0.9.1a       4.1.mga6      x86_64
  lib64magick-6Q16_6             6.9.10.36    1.mga6        x86_64
  libgii                         1.0.2        21.1.mga6     x86_64
(medium "Tainted Release")
  lib64dca0                      0.0.5        10.mga6.tain> x86_64
  lib64faad2                     2.7          10.mga6.tain> x86_64
  lib64opencore-amr0             0.1.3        1.mga6.taint> x86_64
  lib64quicktime0                1.2.4        21.mga6.tain> x86_64
  lib64rtmp1                     2.4          0.git2016010> x86_64
  lib64vo-amrwbenc0              0.1.3        2.mga6.taint> x86_64
  lib64x264_148                  0.148        0.20170120.s> x86_64
  lib64x265_102                  2.2          1.mga6.taint> x86_64
  lib64xvidcore4                 1.3.4        3.mga6.taint> x86_64
(medium "Tainted Updates")
  lib64avcodec57                 3.3.9        1.mga6.taint> x86_64
  lib64avfilter6                 3.3.9        1.mga6.taint> x86_64
  lib64avformat57                3.3.9        1.mga6.taint> x86_64
  lib64avresample3               3.3.9        1.mga6.taint> x86_64
  lib64avutil55                  3.3.9        1.mga6.taint> x86_64
  lib64dvdcss2                   1.4.1        1.mga6.taint> x86_64
  lib64postproc54                3.3.9        1.mga6.taint> x86_64
  lib64swresample2               3.3.9        1.mga6.taint> x86_64
  lib64swscaler4                 3.3.9        1.mga6.taint> x86_64
  mplayer                        1.3.0        14.mga6.tain> x86_64
  transcode                      1.1.7        17.2.mga6.ta> x86_64
(medium "Tainted Updates Testing")
  lib64myth30                    30.0         20190121.1.m> x86_64
  mythtv-common                  30.0         20190121.1.m> x86_64
  mythtv-frontend                30.0         20190121.1.m> x86_64
  mythtv-themes-base             30.0         20190121.1.m> noarch
265MB of additional disk space will be used.
88MB of packages will be retrieved.
Proceed with the installation of the 162 packages? (Y/n)

CC: (none) => tmb

Comment 67 Bit Twister 2019-04-12 12:47:14 CEST
(In reply to Len Lawrence from comment #64)
> So the question is - why is mythtv being packaged with mandatory hdhomerun
> support when hdhomerun might be irrelevant,

upstream had/has the hdhomerun driver packaged, and is going to remove
the driver in newer releases in favor of a different standardized module.

> or perhaps, why is it being built to require hdhomerun support

Mythtv has several hardware drivers, does not matter if you have the
hardware or not.

> when Mageia does not provide any hdhomerun software?

Oh but it does.  Snippet from my install_mythtv script

x_urpmi hdhomerun   ! configuration and firmware upgrade utility for
                      Silicon Dust networked HDTV dual-tuner HDHomeRun device.
Comment 68 Len Lawrence 2019-04-12 14:41:00 CEST
Thanks for all the responses.  Misunderstanding about core versions and tainted versions which for other packages we often treat separately.  And the usual procedure is to make sure evrything is installed before updating and then look for a clean update at least.  I could not get that to work because of the misunderstanding.  Anyway, the updated packages (or at least some of them) are now in place.
Comment 69 Len Lawrence 2019-04-12 15:10:19 CEST
That is really about as far as I can go with this.  Mythtv has disappeared from the menus and does not start from the command-line.  mythbackend started from the system services menu.

$ systemctl status mythbackend
● mythbackend.service - MythTV backend service
   Loaded: loaded (/usr/lib/systemd/system/mythbackend.service; enabled; vendor 
   Active: failed (Result: exit-code) since Fri 2019-04-12 13:51:10 BST; 13s ago
  Process: 30782 ExecStart=/usr/bin/mythbackend --logpath /var/log/mythtv/ (code
 Main PID: 30782 (code=exited, status=130)

The latest log in /var/log/mythtv ends up with these lines:
2019-04-12 13:51:08.438303 I [30782/30782] CoreContext mythcontext.cpp:1211 (UPnPautoconf) - No UPnP backends found
2019-04-12 13:51:09.438505 C [30782/30782] CoreContext main.cpp:138 (main) - Failed to init MythContext.

Something must be missing.  /usr/bin contains several related executables:
$ ls /bin/*myth*
/bin/mythbackend*         /bin/mythfilldatabase*    /bin/mythreplex*
/bin/mythccextractor*     /bin/mythjobqueue*        /bin/mythtranscode*
/bin/mythcommflag*        /bin/mythmediaserver*     /bin/mythutil*
/bin/mythexternrecorder*  /bin/mythmetadatalookup*  /bin/mythwikiscripts*
/bin/mythfilerecorder*    /bin/mythpreviewgen*

There is a user config file but that is irrelevant if the system does not run.
Comment 70 Len Lawrence 2019-04-12 15:29:56 CEST
Went through the whole of tmb's package lsist and found that everything was there except mythtv-frontend.  MageiaUpdate had mised it somehow so installed it manually.
Comment 71 Len Lawrence 2019-04-12 15:45:55 CEST
MythTV now in the menus. Launched it.  Select config and the database supplied the defaults, including the hostname.  accepted the defaults but ping did not find the named host.  Switched to the IP address but failed again to connect.  Went round and round the loop trying to start things up but got database connection failed each time.  Not much point in going any further with this.  It needs somebody familiar with the underlying system.

So, anybody interested?
Comment 72 Bit Twister 2019-04-12 16:06:11 CEST
(In reply to Len Lawrence from comment #69)
> That is really about as far as I can go with this.  Mythtv has disappeared
> from the menus and does not start from the command-line.  mythbackend
> started from the system services menu.
> 
> $ systemctl status mythbackend
> ● mythbackend.service - MythTV backend service
>    Loaded: loaded (/usr/lib/systemd/system/mythbackend.service; enabled;
> vendor 
>    Active: failed (Result: exit-code) since Fri 2019-04-12 13:51:10 BST; 13s
> ago
>   Process: 30782 ExecStart=/usr/bin/mythbackend --logpath /var/log/mythtv/
> (code
>  Main PID: 30782 (code=exited, status=130)
> 
> The latest log in /var/log/mythtv ends up with these lines:
> 2019-04-12 13:51:08.438303 I [30782/30782] CoreContext mythcontext.cpp:1211
> (UPnPautoconf) - No UPnP backends found
> 2019-04-12 13:51:09.438505 C [30782/30782] CoreContext main.cpp:138 (main) -
> Failed to init MythContext.

I remember the upnp errors in my logs. Not sure the were exactly as yours.
You should be able to ignore that message.

> There is a user config file but that is irrelevant if the system does not
> run.

~/.mythtv/config.xml and  /var/local/.mythtv/config.xml need to match.
Yes, frontend will not do well until backend service is running and
can connect.

I won't get to it today, but I need to know what procedure I need to run.

In each case I will be doing the additional hdhomerun rpm install.

I can wipe my mga6 mythtv install. enable test and tainted, and do the
30. install. Is that what you want?

Or wipe mythtv install, install mythtv 28, get it running, enable
test and do the update to get 30. installed?

We still have the problem with homerun driver. I think that should be
and errata entry. Upstream wants/will make that obsolete and users
move to the common jason or some such interface name for tv schedule info
which have been working for a year or more.

Just now saw your Comment #71 in an email while composing this.

do verify that
~/.mythtv/config.xml and  /var/local/.mythtv/config.xml  match.
Verify backend status is active.
Comment 73 Len Lawrence 2019-04-12 16:23:56 CEST
Thanks for taking over.  Looks like /var/local/.mythtv does not exist.  Shall create it and see what happens when the config file is copied.

Done.
# systemctl restart mythbackend
[root@canopus local]# systemctl status mythbackend

● mythbackend.service - MythTV backend service
   Loaded: loaded (/usr/lib/systemd/system/mythbackend.service; enabled; vendor preset: enabled)
   Active: failed (Result: exit-code) since Fri 2019-04-12 15:20:44 BST; 5s ago
  Process: 23009 ExecStart=/usr/bin/mythbackend --logpath /var/log/mythtv/ (code=exited, status=130)
 Main PID: 23009 (code=exited, status=130)

Apr 12 15:20:41 canopus mythbackend[23009]: 2019-04-12 15:20:41.626711 I  UPNP Search 1 secs
Apr 12 15:20:43 canopus mythbackend[23009]: 2019-04-12 15:20:42.957895 I  No UPnP backends found
Apr 12 15:20:43 canopus mythbackend[23009]: No UPnP backends found
Apr 12 15:20:43 canopus mythbackend[23009]: Would you like to configure the database connection now? [no]
Apr 12 15:20:43 canopus mythbackend[23009]: [console is not interactive, using default 'no']
Apr 12 15:20:44 canopus mythbackend[23009]: 2019-04-12 15:20:43.958079 C  Failed to init MythContext.
Apr 12 15:20:44 canopus mythbackend[23009]: 2019-04-12 15:20:44.813161 I  Removed logging to /var/log/mythtv/mythbackend.20190412142
Apr 12 15:20:44 canopus systemd[1]: mythbackend.service: Main process exited, code=exited, status=130/n/a
Apr 12 15:20:44 canopus systemd[1]: mythbackend.service: Unit entered failed state.
Apr 12 15:20:44 canopus systemd[1]: mythbackend.service: Failed with result 'exit-code'.
Comment 74 Thomas Andrews 2019-04-12 17:19:34 CEST
(In reply to Bit Twister from comment #72)
> I won't get to it today, but I need to know what procedure I need to run.
> 
> In each case I will be doing the additional hdhomerun rpm install.
> 
> I can wipe my mga6 mythtv install. enable test and tainted, and do the
> 30. install. Is that what you want?
> 
> Or wipe mythtv install, install mythtv 28, get it running, enable
> test and do the update to get 30. installed?
> 
> We still have the problem with homerun driver. I think that should be
> and errata entry. Upstream wants/will make that obsolete and users
> move to the common jason or some such interface name for tv schedule info
> which have been working for a year or more.
> 
Just my $.02, but since we are testing an update here, my opinion is, if you are willing, the most appropriate procedure would be to install 28, get it running, then update to 30. Updating from 28 to 30 is what we would expect most of our users to be doing, and with something as complicated as mythtv we need to know that all dependencies are present in the rpm list. We ran into a problem with a missing dependency on another update a while back, where it was present in updates_testing but not on the list. Tests were successful, and the rpms were moved to Updates - all except for that dependency that wasn't on the list. Messy.

Then again, as I think more on it while typing, a new install of 30 is also a valid test, as that is what users who are new to mythtv will be installing.

So I guess it's really your choice.
Comment 75 Bit Twister 2019-04-12 17:48:20 CEST
(In reply to Len Lawrence from comment #73)
> Thanks for taking over. 

Not taking over, just going to look why you are having connect problems,

>  Looks like /var/local/.mythtv does not exist. 
> Shall create it and see what happens when the config file is copied.

Ah, Frap. Sorry, that should be
/var/lib/mythtv/config.xml and ~/.mythtv/config.xml should match on same
node.

I am also assuming mysqld service is active.

This does not look good from your log:
Apr 12 15:20:43 canopus mythbackend[23009]: Would you like to configure the database connection now? [no]

Are there any QA steps written?

If so where?
Comment 76 Len Lawrence 2019-04-12 17:57:48 CEST
Re comment 73.
It is puzzling that MythTV cannot ping the host.

2019-04-12 16:03:23.929690 I  Start up failure. host canopus, status startFail
2019-04-12 16:03:23.929694 W  Pinging to canopus failed, database will be unavailable
2019-04-12 16:03:23.929699 A  Cannot find (ping) database host canopus on the network

$ ping canopus
PING canopus (192.168.1.zz) 56(84) bytes of data.
64 bytes from canopus (192.168.1.zz): icmp_seq=1 ttl=64 time=0.031 ms
64 bytes from canopus (192.168.1.zz): icmp_seq=2 ttl=64 time=0.055 ms

In reply to Bit Twister, comment 75:

Yes, mysqld is running.
About to rename the /var/local .mythtv directory.

And, referring to your earlier query about version 28 - installing the core version before updating and  looking for a clean update before testing is the ideal scenario not least for the reason TJ stated.
Comment 77 Len Lawrence 2019-04-12 18:21:13 CEST
Nope, "Database machine failed to wake up."

Then Setup and "Cannot ping database host on the network"
Note that this is all entirely local.
Tried cancelling the custom identifier for frontend  and that also cancelled 'database server wakeup' which had to be checked manually.

There is a note about leaving Port blank if using the default 3306 so I did not change it.  Backed out with Esc and saved changes.  diff'd the two config files - OK.

Sync to Vblank is enabled for the nvidia driver/card.
Mythtv could not tell.
No longer any message in the terminal logs like 
"Would you like to configure the database connection now? [no]"

No idea about a QA procedure - looking - just an empty wiki page.
Comment 78 Len Lawrence 2019-04-12 18:26:04 CEST
Following on from comment 77, there was also this close to the beginning of the startup procedure.  
2019-04-12 17:01:54.307869 E  WOL failed, unable to connect to database!
2019-04-12 17:01:54.307877 E  [DBManager0] Unable to connect to database!
2019-04-12 17:01:54.307886 E  Driver error was [1/2003]:
QMYSQL: Unable to connect
Database error was:
Can't connect to MySQL server on 'canopus' (111 "Connection refused")
Comment 79 Len Lawrence 2019-04-12 19:02:02 CEST
mythtv reports the name of its database as mythtvconverg but see this:

$ mysql mythconverg
ERROR 1049 (42000): Unknown database 'mythconverg'

Don't know anything about databases or mysql so cannot take this any further.
Comment 80 Bit Twister 2019-04-12 19:40:19 CEST
(In reply to Len Lawrence from comment #79)
> mythtv reports the name of its database as mythtvconverg but see this:
> 
> $ mysql mythconverg
> ERROR 1049 (42000): Unknown database 'mythconverg'
> 
> Don't know anything about databases or mysql so cannot take this any further.

So, I am wondering what you did.

Me thinks, you just installed/updated packages and ran myth setup.

If so, you missed a few very critical steps prior to running setup.
Two examples:
  mysql_tzinfo_to_sql /usr/share/zoneinfo | mysql --user=root     -D mysql
  mysql --user=root     mysql < /usr/share/mythtv/initialdb/mc.sql

If mysql complains about mythtv password, read bug 19127 

Clean mysql install does not have a root password so supposedly
you just hit enter at any root password prompts. 
Since I have scripted my installs, I have 
used mysql_secure_installation to create a mysql root password. 

All my scripts can then use
mysql --user=root --password=Top_Secret  and_whatever_goes_here ....
Comment 81 Len Lawrence 2019-04-12 19:58:04 CEST
In reply to Bit Twister from comment 80:

> Me thinks, you just installed/updated packages and ran myth setup.

Precisely.  Did not realize that there were any operations to be performed before starting.  I certainly do not have a clue about mysql; never used it personally although it has popped up in QA a few times.  That is red flag country.  Could not follow bug 19127.

Managed to set a password for mysql user root.

$ mysql --user=root     mysql < /usr/share/mythtv/initialdb/mc.sql
ERROR 1045 (28000): Access denied for user 'root'@'localhost' (using password: NO)

Presumably the new password has to be used here but how do you specify it?
Comment 82 Len Lawrence 2019-04-12 19:59:50 CEST
Oops - just spotted how you did it.
Comment 83 Len Lawrence 2019-04-12 20:05:11 CEST
ERROR 1819 (HY000) at line 2: Your password does not satisfy the current policy requirements.
Far too tired to go any further with this.
@Bit Twister - please take over this update - I am going out to shoot myself.
Lewis Smith 2019-04-12 21:11:16 CEST

CC: lewyssmith => (none)

Comment 84 Bit Twister 2019-04-12 21:26:00 CEST
(In reply to Len Lawrence from comment #83)
> ERROR 1819 (HY000) at line 2: Your password does not satisfy the current
> policy requirements.
> Far too tired to go any further with this.
> @Bit Twister - please take over this update - I am going out to shoot myself.

Heheh, I hear that. Be sure to use blanks.  :)
Three days of fighting h&RBlock tax app. Does not do well with Linux Firefox.
Another half a day with TurboTax, could not login after creating user id/pw.
Had to get a virtualbox win7 guest going just to finish up with h&rblock.

Ok, you use mysql_secure_installation to create/give root a password, say
qa_Admin1.

Now run/paste next 2 lines:
     mysql_tzinfo_to_sql /usr/share/zoneinfo \
     | mysql --user=root --password=qa_Admin1   -D mysql

If that works, you know mysql root password is good. Paste these two lines.
       mysql --user=root  --password=qa_Admin1 \
       mysql < /usr/share/mythtv/initialdb/mc.sql

If does not like the mythtv password, you are at the bug 19127 problem where
you need to read bug 19127#c3
You might also want to read https://bugs.mageia.org/show_bug.cgi?id=19223#c12
All of which boil down to setting the mythtv password in

List of MythTv files needing new password:
System:
   /usr/share/mythtv/initialdb/mc.sql
   /var/lib/mythtv/config.xml

Users:
 $HOME/.mythtv/config.xml

to have mythtv_Password as the password, or mythtv_Admin1, your choice.
Comment 85 Len Lawrence 2019-04-12 22:17:52 CEST
Missed.

Hmm.  
$ mysql --user=root  --password=xxxxxxxxx \
>        mysql < /usr/share/mythtv/initialdb/mc.sql
ERROR 1064 (42000) at line 2: You have an error in your SQL syntax; check the manual that corresponds to your MariaDB server version for the right syntax to use near 'PASSWORD "xxxxxxxxxx"' at line 1

What is the syntax for entering a password in the config file?

$ cat mc.sql
CREATE DATABASE IF NOT EXISTS mythconverg;
GRANT ALL ON mythconverg.* TO mythtv@localhost IDENTIFIED BY "mythtv" PASSWORD "zzzzzzzzzzzzzzz";
FLUSH PRIVILEGES;
GRANT CREATE TEMPORARY TABLES ON mythconverg.* TO mythtv@localhost IDENTIFIED BY "mythtv" PASSWORD "zzzzzzzzzzz";
FLUSH PRIVILEGES;
ALTER DATABASE mythconverg DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;
Comment 86 Alan Richter 2019-04-13 00:17:49 CEST
I've been down this rabbit hole of mariadb wanting a stinky password and unless you really need a stinky password do this:


Edit the file /etc/my.cnf.d/cracklib_password_check.cnf 

and make this line:

plugin-load-add=cracklib_password_check.so

look like this:

# plugin-load-add=cracklib_password_check.so

Now everything should work the "mc.sql" file and the default settings in mythtv and uncommenting the lines in:

/etc/httpd/conf/webapps.d/mythweb.conf 

to look like this:

#
        # This is unneeded due to the upnp setup via the backend
        #
            setenv db_server        "localhost"
            setenv db_name          "mythconverg"
            setenv db_login         "mythtv"
            setenv db_password      "mythtv"

        #

This should help immensely.
Comment 87 Len Lawrence 2019-04-13 00:41:00 CEST
@Alan Richter re comment 86, thanks for the tips but I have already decided to give up on this.
I had already run cracklib_password_check against the password and it passed.
However, there is still your mythweb.conf suggestion.

So, one more go.  Hmm.  There is no mythweb.conf in webapps.d and locate cannot find a copy anywhere.  Maybe something missing then.

Apart from that:
Eventually tried identify by password and everything looked OK.
Ran mythtv:
$ mythfrontend --geometry "1024x800+100+100"

No database connection.  -> Setup

Password correct but the main problem seemed to be the network connection - canopus could not be pinged, which seems very odd when it can be pinged from the command-line and anywhere else on the network.  Alternatives like localhost and the IP address were no more successful.

2019-04-12 23:18:24.547617 W  Pinging to canopus failed, database will be unavailable
2019-04-12 23:18:24.547622 A  Cannot find (ping) database host canopus on the network

This really is the limit of what I am willing to do.  ISO testing is back on the agenda and this one update has consumed the whole day so I am handing over to anybody else willing to have a go.  Even if you do not have a TV tuner you might get further than me with regard to database and network issues.  Take note of Alan's and Bit Twister's suggestions - this is a Byzantine package.

So, good luck.
Comment 88 Alan Richter 2019-04-13 03:31:45 CEST
Oh. . . did you comment out "skip-networking" in /etc/my.cnf?

You need to do that if you're going to connect front-ends from remote systems or if your hostname doesn't resolve to 127.0.0.1
Comment 89 Bit Twister 2019-04-13 04:03:34 CEST
(In reply to Len Lawrence from comment #87)
> @Alan Richter re comment 86, thanks for the tips but I have already decided
> to give up on this.
> I had already run cracklib_password_check against the password and it passed.
> However, there is still your mythweb.conf suggestion.

Cute hack, but greatly weakens mysql security and next mysqld 
update/release could replace /etc/my.cnf.d/cracklib_password_check.cnf   :(

> So, one more go.  Hmm.  There is no mythweb.conf in webapps.d and locate
> cannot find a copy anywhere.  Maybe something missing then.

That is because you would have to also install the web rpm.  :(

> Apart from that:
> Eventually tried identify by password and everything looked OK.
> Ran mythtv:
> $ mythfrontend --geometry "1024x800+100+100"
> 
> No database connection.  -> Setup
> 
> Password correct but the main problem seemed to be the network connection -
> canopus could not be pinged, which seems very odd when it can be pinged from
> the command-line and anywhere else on the network.  Alternatives like
> localhost and the IP address were no more successful.
> 
> 2019-04-12 23:18:24.547617 W  Pinging to canopus failed, database will be
> unavailable
> 2019-04-12 23:18:24.547622 A  Cannot find (ping) database host canopus on
> the network

Once you add on using network ip/FQDN, you have to tell mysqld to allow
connections, and maybe run sql command to allow ip range for connections.

Had you stayed with local ip 127.0.0.1 you would have not had the
ping/connect problem.


> This really is the limit of what I am willing to do.  ISO testing is back on
> the agenda and this one update has consumed the whole day so I am handing
> over to anybody else willing to have a go.  Even if you do not have a TV
> tuner you might get further than me with regard to database and network
> issues.  Take note of Alan's and Bit Twister's suggestions - this is a
> Byzantine package.
> 
> So, good luck.

"Upper Management" needs to make a decision on what is to be done
about all the mysql/mythtv bugs.

Errata write up about changing mc.sql to pass mysqld password check
and setting new password in
   /usr/share/mythtv/initialdb/mc.sql
   /var/lib/mythtv/config.xml
   /etc/httpd/conf/webapps.d/mythweb.conf
   $HOME/.mythtv/config.xml
for clean installs which has to be carried forward on each Mageia release.

Then there is the update path to consider.
Does Mageia add a howto for change mythtv database password using sql?

Or does QA write a cookbook for a clean install and add a link
to it in in a Mageia mythtv README file which is packaged with mythtv
common rpm and close the mysql/mythtv bug reports.

As I write this, it dawned on me that Mageia provides a mythtv install README
and QA test procedure can reference it for setup.

That leaves us with the decision about modifying
   /usr/share/mythtv/initialdb/mc.sql
   /var/lib/mythtv/config.xml
   /etc/httpd/conf/webapps.d/mythweb.conf
to use something like "mythtv_Password" in the above files  :)
or make the user change the files prior to running the setup apps :(
where next upstream release may wipe out the changes. :-(

Package build procedure could automagically swap out "mythtv" password
for "mythtv_Password" in the above files.

Mageia mythtv package could provide a message as to the Mageia chosen
default password used in the above files.
Comment 90 Bit Twister 2019-04-13 04:12:22 CEST
(In reply to Alan Richter from comment #88)
> Oh. . . did you comment out "skip-networking" in /etc/my.cnf?

Not the best hack. Next mysqld could wipe out your change. :(

> You need to do that if you're going to connect front-ends from remote
> systems or if your hostname doesn't resolve to 127.0.0.1

For your /etc/my.cnf change(s), you should create a file in /etc/my.cnf.d/
with just the changes you want. Name selected dictates order of execution
during startup. Here is mine.

$ cat /etc/my.cnf.d/xx__my.cnf
#********************** start of /etc/my.cnf.d/xx__my.cnf *****************
# Created by /local/bin/my_cnf_changes  Thu 11 Apr 20:22 2019

[mysqld]
skip-networking=false
bind-address=127.0.0.1

#********************** end of /etc/my.cnf.d/xx__my.cnf ******************
Comment 91 Alan Richter 2019-04-13 05:38:21 CEST
/etc/my.cnf is one of those files that generates a warning: "rpmnew" file since it is a configuration file.  

As for mythtv and Upper Management, there is really no "Upper Management", Mageia is a community supported distribution and as I have discovered, the community is really smart in setting up their distribution far better than I could have even imagined.  MythTV is really great PVR and should be "nerfed" to make it easy to set up and run first, then secure next.  Most users will be setting up MythTV so that they can watch NOVA and Cow And Chicken whenever and however they want, if they just so happen to be sharing a database with The World Bank, then maybe they shouldn't be watching Cow and Chicken. 

In any case MySQL may be overkill for MythTV but I'm not going to Issac Richards for building it the way he did. I've been using MythTV since Tuesday November 4 2004 (and I can provide a screen shot if necessary) and probably wouldn't have if I had to jump through all kinds of security hoops to make it possible.  

In any case, once you've dug through all the hooey to get a proper and secure password for MythTV it (and I) would be appreciated if you could post something on the Mageia Wiki explaining what you did, how you did it, and why it's a good idea.  

None of this really constitutes a bug in Mageia but has been a stimulating conversation.
Comment 92 Bit Twister 2019-04-13 06:47:40 CEST
(In reply to Alan Richter from comment #91)
> /etc/my.cnf is one of those files that generates a warning: "rpmnew" file
> since it is a configuration file.  

I understand. Just trying to inform people that if there is a .d/ for an
app, the system admin should create a drop-in file with just their changes.
Reduces chances for problems and makes for easier maintenance.


> As for mythtv and Upper Management, there is really no "Upper Management",

Yes I know. I am not anywhere in the "Upper Management" chain/process.
I am just a User supporting Mageia by opening bugs as I find them.

But, head/leader of QA and mythtv dev/packager need to agree on how
to close the small group of problems about password.


> Mageia is a community supported distribution and as I have discovered, the
> community is really smart in setting up their distribution far better than I
> could have even imagined.  MythTV is really great PVR and should be "nerfed"
> to make it easy to set up and run first, then secure next.

We are in violent agreement about making install/setup as painless as possible.
I am saying because of mysql password restrictions, Mageia should set an
acceptable mythtv password in the rpms so that there is not a "secure next"
procedure.

>  Most users will
> be setting up MythTV so that they can watch NOVA and Cow And Chicken
> whenever and however they want, if they just so happen to be sharing a
> database with The World Bank, then maybe they shouldn't be watching Cow and
> Chicken. 

Well, I am against backing out/weaking any mysql out-of-the-box security
features. Numerous criminal cracks have been through sql commands so setting
a mysql root password is much better than the no password default.
Big plus is being able script commands without user interaction.

> In any case, once you've dug through all the hooey to get a proper and
> secure password for MythTV it (and I) would be appreciated if you could post
> something on the Mageia Wiki explaining what you did, how you did it, and
> why it's a good idea.  

I was/am not planning on creating such a document. I can create a suggested
install steps procedure.

> None of this really constitutes a bug in Mageia but has been a stimulating
> conversation.

I disagree. User can not do the mc.sql step until the password can pass
the mysql requirement.

Assuming mythtv files have an acceptable mysql password, install steps become.
click up a terminal and login as root.
click up another terminal as user.

As root
Comment 93 Bit Twister 2019-04-13 08:10:22 CEST
(In reply to Bit Twister from comment #92)

Sorry, hit tab during editing and it saved the post. Suggested
mageia install README follows. This is off the top of my head, untested
and depends on results of "Upper Management" decisions.  :)


The following are which terminal to run commands. Lines ending with \
need to be pasted as one command

Following assumes you have a channel guide source. 
I use Schedules Direct for mine. ~$25 a year.

If not, you have to set the scanned channels to user tv station time/date 
channel data and mysqld is running/active. You have installed mythbackend
and mythfrontend. For SiliconDust hdhomerun users, installed hdhomerun rpm.

Also assumes each step is successful before going on to the next step.
/var/log/mythtv  has mythtv logs

 
 
click up a terminal and login as root.
click up another terminal as user.

in root terminal, run

   mysql_secure_installation

at the change root password prompt set an acceptable password. Example:
   mysql_qa_admin1
feel free to change rest of settings as desired. 

   systemctl stop mythbackend

   mysql_tzinfo_to_sql /usr/share/zoneinfo \
   | mysql --user=root --password=mysql_qa_admin1 -D mysql

   mysql --user=root --password=mysql_qa_admin1 \
   mysql < /usr/share/mythtv/initialdb/mc.sql 

in user terminal,

   mkdir -p $HOME/.mythtv

   cp /var/lib/mythtv/config.xml $HOME/.mythtv/

   mythtv-setup &

Go through each setup section in order 1,2,3... When you get to Channel Editor
you should be able to Scan to get your tv channels from your tv hardware device.
Continue through rest of configuration panels.
Always answer Save/ok to save questions.

in root terminal:
   systemctl enable mythbackend
   systemctl start mythbackend
   systemctl status mythbackend

if backend is Active you are good for filling the database with whatever
channel guide data. 

in user terminal
   mythfilldatabase --dd-grab-all

   mythfrontend



If you are going to access the database from other nodes, you have to
make some mysql changes, and some grants in the sql database.

in root terminal:

Using an editor of your choice, edit /etc/my.cnf.d/xx__my.cnf
and enter the following:
#********************** start of /etc/my.cnf.d/xx__my.cnf *****************

[mysqld]
skip-networking=false
bind-address=127.0.0.1

#********************** end of /etc/my.cnf.d/xx__my.cnf ******************
Save and exit editor.


Now you need to add the ip addresses of the nodes for mythbackend access.
This allow anyone on my lan "192.168.11.%" to access the backend.

$ hostname --ip-address
192.168.11.132

You need to use your LAN values. Run
  hostname --ip-address

mysql --user=root --password=mysql_qa_admin1 mythconverg
grant all on mythconverg.* to mythtv@"192.168.11.%" identified by "mythtv_Password" ;
flush privileges;
quit

systemctl stop mythbackend.service
systemctl stop mysqld.service
systemctl start mysqld.service
systemctl status mysqld.service
systemctl start mythbackend.service
systemctl status mythbackend.service
Comment 94 Alan Richter 2019-04-13 19:10:40 CEST
BT.

That's a delightful howto, thank you.  

Does this take care of getting the xmltvids from Schedules Direct?  I found I had to enter them manually in mythweb, otherwise listings don't populate.
Comment 95 Bit Twister 2019-04-14 00:47:26 CEST
(In reply to Alan Richter from comment #94)
> BT.
> 
> That's a delightful howto, thank you.  

Your welcome. :)

> Does this take care of getting the xmltvids from Schedules Direct?  I found
> I had to enter them manually in mythweb, otherwise listings don't populate.

Can not say for sure, because I kluged around the problem with my sql
script to restore the xmltvids in mga6. 

I had to abandon mga6 mythtv because lircd kept crashing about every
third or fourth tv remote usage and I had to exit mythfrontend and
start it again after every crash.

The following is off the top of my head, with mythtv 31.x Cauldron install.
Verbiage/terms may not match what you see in mga6 myth setup screens.

I can suggest not using the SiliconDust/schedules direct driver, 
but instead pick a Schedules Direct JSON api (xmltv) option, in Video Setup.

That creates a tv_grab_zz_sdjson.conf which winds up as a link back to your video source name.

You do the channel scan to get channel numbers. Start the backend and
filldatabase will set the xmltvids.

I have automated my install using custom created scripts. After all my
research I found it easy to link  /root/.mythtv to  /var/lib/mythtv
# ls -l /root/.mythtv
lrwxrwxrwx 1 root root 15 Feb 27 23:32 /root/.mythtv -> /var/lib/mythtv

Over in /var/lib/mythtv, my video source name (Antenna) link is
Antenna.xmltv -> /var/lib/mythtv/.xmltv/tv_grab_zz_sdjson.conf which gets me

cat /var/lib/mythtv/Antenna.xmltv 
#
#  Created by /local/bin/mythtv_xmltv_changes  Tue 26 Feb 09:06 2019 using 
#  https://blogging.dragon.org.uk/schedules-direct-uk/
#

cache=/var/lib/mythtv/.xmltv/tv_grab_zz_sdjson.cache
channel-id-format=mythtv
previously-shown-format=date
username=Secret
password=Top_Secret
mode=lineup
lineup=USA-OTA-75042
#******* end /var/lib/mythtv/.xmltv/tv_grab_zz_sdjson.conf ******

I did have to do a
   mkdir --parents /var/lib/mythtv/.xmltv
for grabber file storage.

You use your schedulesdirect id/pw for username= and password=
and set your lineup=.

All that information is done via prompts in Video Source setup when you pick
the json driver.
Comment 96 Bit Twister 2019-04-15 05:15:42 CEST
This tester rejects the update because mythbackend will not complete startup.

Problem is service file Environment line. 
I dropped in the Cauldron values and mythbackend would stay active.

 diff /before/usr/lib/systemd/system/mythbackend.service \
       /after/usr/lib/systemd/system/mythbackend.service
40c40,42
< Environment=MYTHCONFDIR=@syscondir@/mythtv
---
> Environment=MYTHCONFDIR=/etc/sysconfig/mythtv
> Environment=MYTHTV_HOME=/var/lib/mythtv
> Environment=MYTHCONFDIR=/var/lib/mythtv

Test was a clean network 6.1 x86_64 install. mythbackend,  mythtv-setup,
xmltv-grabbers-zz_sdjson, hdhomerun rpms from Tainted.

In mythtv-setup, I picked the usual schedules direct video source.
after mythfilldatabase --dd-grab-all, tv channel guide had the shows.

We have to supply a howto for clean installs. in a nutshell:

edit /usr/share/mythtv/initialdb/mc.sql and
change all   IDENTIFIED BY "mythtv"
to           IDENTIFIED BY "mythtv_Password"
save/exit

Run mysql_secure_installation to set mysql root password=mysql_qa_admin1
to make it easy to paste from howto. See following:

In a root terminal:

   mysql_tzinfo_to_sql /usr/share/zoneinfo \
   | mysql --user=root --password=mysql_qa_admin1 -D mysql

   mysql --user=root --password=mysql_qa_admin1 \
   mysql < /usr/share/mythtv/initialdb/mc.sql

  ln -sf $(getent passwd mythtv \
   | awk -F: '{print $(NF - 1)}') \
  /root/.mythtv 

  mythtv-setup

   cd $(getent passwd mythtv | awk -F: '{print $(NF - 1)}')
   chown -R mythtv:mythtv *
   chown -h  mythtv:mythtv *

   systemctl enable mythbackend
   systemctl start mythbackend
   systemctl status mythbackend

   cd
   mythfilldatabase --dd-grab-all

in the user terminal,

   mkdir -p $HOME/.mythtv

   cp $(getent passwd mythtv \
   | awk -F: '{print $(NF - 1)}')/config.xml \
   $HOME/.mythtv

   mythfrontend

Note You need to log in before you can comment on or make changes to this bug.